launchd Agents
==============================================================================

"Agents" are what {file:doc/topics/launchd.md launchd} calls user (as opposed to system/root) jobs and services.

Agents are defined in {file:doc/topics/plists.md} XML files in

1.  `~/Library/LaunchAgents`
    -   User-specific agents. They run as that user.
    -   This is where Loc'd reads and writes its agents.
        
2.  `/Library/LaunchAgents`
    -   Agents that still run as the current user but are shared by all users.
    -   Loc'd ignores these at the moment - it doesn't read or write them. Maybe in the future if the need arises.

Loc'd represents agents through the {Locd::Agent} class and it's subclasses.
